[arch-commits] CVS update of core/base/bash (PKGBUILD)

Aaron Griffin aaron at archlinux.org
Fri Dec 21 06:55:29 UTC 2007


    Date: Friday, December 21, 2007 @ 01:55:29
  Author: aaron
    Path: /home/cvs-core/core/base/bash

Modified: PKGBUILD (1.53 -> 1.54)

upgpkg: bash 3.2.033-1
    Upgrade patch level
Add profile.bash to the backup array


----------+
 PKGBUILD |   66 ++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 37 insertions(+), 29 deletions(-)


Index: core/base/bash/PKGBUILD
diff -u core/base/bash/PKGBUILD:1.53 core/base/bash/PKGBUILD:1.54
--- core/base/bash/PKGBUILD:1.53	Thu Dec 20 03:25:22 2007
+++ core/base/bash/PKGBUILD	Fri Dec 21 01:55:28 2007
@@ -1,16 +1,16 @@
-# $Id: PKGBUILD,v 1.53 2007/12/20 08:25:22 aaron Exp $
+# $Id: PKGBUILD,v 1.54 2007/12/21 06:55:28 aaron Exp $
 # Maintainer: Aaron Griffin <aaron at archlinux.org>
 
 pkgname=bash
-_patchlevel=025
+_patchlevel=033
 pkgver=3.2.$_patchlevel
-pkgrel=5
+pkgrel=1
 pkgdesc="The GNU Bourne Again shell"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.gnu.org/software/bash/bash.html"
 groups=('base')
-backup=(etc/profile etc/skel/.bashrc etc/skel/.bash_profile)
+backup=(etc/profile.bash etc/skel/.bashrc etc/skel/.bash_profile)
 depends=('readline>=5.2' 'glibc')
 provides=('sh')
 source=(ftp://ftp.cwru.edu/pub/bash/bash-3.2.tar.gz
@@ -18,6 +18,30 @@
 for p in $(seq -w 001 $_patchlevel); do
     source=(${source[@]} ftp://ftp.cwru.edu/pub/bash/bash-3.2-patches/bash32-$p)
 done
+
+build() {
+  cd ${startdir}/src/${pkgname}-3.2
+  for p in ../bash32-*; do
+    msg "applying patch ${p}"
+    patch -Np0 -i ${p} || return 1
+  done
+  patch -Np1 -i ../bash-noinfo.patch || return 1
+  ./configure --prefix=/usr --with-curses --enable-readline \
+    --without-bash-malloc --with-installed-readline \
+    --bindir=/bin
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+
+  install -D -m644 ${startdir}/src/profile.bash ${startdir}/pkg/etc/profile.bash
+
+  # for now, bash is our default /bin/sh
+  cd ${startdir}/pkg/bin
+  ln -s bash sh
+
+  mkdir -p $startdir/pkg/etc/skel/
+  install -D -m644 $startdir/src/bashrc $startdir/pkg/etc/skel/.bashrc
+  echo ". \$HOME/.bashrc" >$startdir/pkg/etc/skel/.bash_profile
+}
 md5sums=('00bfa16d58e034e3c2aa27f390390d30'
          'f2a3cf51e58f9b82af50b861191d96fd'
          'c2fae355facefcac8a732cce877da194'
@@ -46,28 +70,12 @@
          'c82d3bd14e373878b2a680dce18d1596'
          '987c949a77b4b0ffe4a2597141e77635'
          '5a2b976e761ab83f0fc7daae11451b86'
-         '08668dc2825f65eced9cac6b09ce1b45')
-
-build() {
-  cd ${startdir}/src/${pkgname}-3.2
-  for p in ../bash32-*; do
-    msg "applying patch ${p}"
-    patch -Np0 -i ${p} || return 1
-  done
-  patch -Np1 -i ../bash-noinfo.patch || return 1
-  ./configure --prefix=/usr --with-curses --enable-readline \
-    --without-bash-malloc --with-installed-readline \
-    --bindir=/bin
-  make || return 1
-  make DESTDIR=${startdir}/pkg install
-
-  install -D -m644 ${startdir}/src/profile.bash ${startdir}/pkg/etc/profile.bash
-
-  # for now, bash is our default /bin/sh
-  cd ${startdir}/pkg/bin
-  ln -s bash sh
-
-  mkdir -p $startdir/pkg/etc/skel/
-  install -D -m644 $startdir/src/bashrc $startdir/pkg/etc/skel/.bashrc
-  echo ". \$HOME/.bashrc" >$startdir/pkg/etc/skel/.bash_profile
-}
+         '08668dc2825f65eced9cac6b09ce1b45'
+         'f35b2b217f088ff009f956894550d41d'
+         'b5ff2b9610c61290f773c4b02cc1a37d'
+         '016f5b56c93404d32aea09385f0fc13e'
+         'a81420626d4d88d0dce2ffac0ac56341'
+         '11f91baf970c132949f9072ee93f2ea6'
+         'f6bbc1e8ec0246740731c728ef476191'
+         '8180ec936770579bce69f0816c2dd878'
+         '3cec33c3711860c4c6b7614afeec7870')




More information about the arch-commits mailing list